VERSION 5.00
Begin VB.Form frmmain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Adjust RGB Colour"
   ClientHeight    =   4035
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6720
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4035
   ScaleWidth      =   6720
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdexit 
      BackColor       =   &H0080C0FF&
      Caption         =   "Exit"
      Height          =   375
      Left            =   4080
      Style           =   1  'Graphical
      TabIndex        =   14
      Top             =   3480
      Width           =   2055
   End
   Begin VB.TextBox txtdisplay 
      Appearance      =   0  'Flat
      Height          =   2295
      Left            =   3360
      Locked          =   -1  'True
      TabIndex        =   2
      Top             =   960
      Width           =   3255
   End
   Begin VB.Frame Frame1 
      Caption         =   "Adjust RGB Colour"
      Height          =   3135
      Left            =   120
      TabIndex        =   0
      Top             =   840
      Width           =   3135
      Begin VB.VScrollBar scroll 
         Height          =   1935
         Index           =   2
         LargeChange     =   5
         Left            =   1440
         Max             =   255
         TabIndex        =   8
         Top             =   600
         Width           =   255
      End
      Begin VB.VScrollBar scroll 
         Height          =   1935
         Index           =   1
         LargeChange     =   5
         Left            =   2400
         Max             =   255
         TabIndex        =   7
         Top             =   600
         Width           =   255
      End
      Begin VB.VScrollBar scroll 
         Height          =   1935
         Index           =   0
         LargeChange     =   5
         Left            =   360
         Max             =   255
         TabIndex        =   6
         Top             =   600
         Width           =   255
      End
      Begin VB.TextBox txtcolour 
         Height          =   360
         Index           =   2
         Left            =   1200
         TabIndex        =   5
         Top             =   2640
         Width           =   735
      End
      Begin VB.TextBox txtcolour 
         Height          =   360
         Index           =   1
         Left            =   2160
         TabIndex        =   4
         Top             =   2640
         Width           =   735
      End
      Begin VB.TextBox txtcolour 
         Height          =   360
         Index           =   0
         Left            =   240
         TabIndex        =   3
         Top             =   2640
         Width           =   735
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Blue"
         Height          =   195
         Index           =   2
         Left            =   2400
         TabIndex        =   11
         Top             =   360
         Width           =   315
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Green"
         Height          =   195
         Index           =   1
         Left            =   1440
         TabIndex        =   10
         Top             =   360
         Width           =   435
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Red"
         Height          =   195
         Index           =   0
         Left            =   360
         TabIndex        =   9
         Top             =   360
         Width           =   300
      End
   End
   Begin VB.Line Line1 
      X1              =   2280
      X2              =   2280
      Y1              =   120
      Y2              =   720
   End
   Begin VB.Label Label2 
      Caption         =   "Help: To adjust the RGB colour, simply play around with the scrollbars. The colour will then be displayed below."
      Height          =   555
      Left            =   2760
      TabIndex        =   13
      Top             =   120
      Width           =   3735
   End
   Begin VB.Label lblinfo 
      AutoSize        =   -1  'True
      Caption         =   "Copyright Hanworks 2002"
      ForeColor       =   &H00FF0000&
      Height          =   195
      Index           =   1
      Left            =   120
      TabIndex        =   12
      Top             =   360
      Width           =   1830
   End
   Begin VB.Label lblinfo 
      AutoSize        =   -1  'True
      Caption         =   "Done by Teh Ming Han"
      ForeColor       =   &H00FF0000&
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1665
   End
End
Attribute VB_Name = "frmmain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' RGB Colour Scrollbar
' Done by Teh Ming Han of The Chinese High School
' E-mail: teh_minghan@hotmail.com
' Webpage: http://www30.brinkster.com/tehan/
'
' 12 July 2002

Private Sub cmdexit_Click()
Unload Me
End Sub

Private Sub Form_Load()
    update
End Sub

Private Sub update()
    txtdisplay.BackColor = RGB(scroll(0).Value, scroll(1).Value, scroll(2).Value)
    For i = 0 To 2
        txtcolour(i) = scroll(i).Value
    Next i
End Sub

Private Sub scroll_Change(Index As Integer)
    update
End Sub

Private Sub txtcolour_Change(Index As Integer)
    On Error Resume Next
    If Not IsNumeric(txtcolour(Index).Text) Then
        MsgBox "Enter only numeric values", vbCritical
        SendKeys "{BACKSPACE}"
    ElseIf txtcolour(Index).Text > 255 Or txtcolour(Index).Text < 0 Then
        MsgBox "Enter values in the range of 0 - 255", vbCritical
        SendKeys "{BACKSPACE}"
    Else
        scroll(Index).Value = txtcolour(Index).Text
        txtdisplay.BackColor = RGB(scroll(0).Value, scroll(1).Value, scroll(2).Value)
    End If
End Sub
